#include "../../common/world/world.h"

world::world() {
	players=new enginend::group({});
	entities=new enginend::group({});
	buildings=new enginend::group({});
	nodes.push_back(players);
}
void world::tick() {
	players->tick();
	entities->tick();
	buildings->tick();
}

world::~world() {
	for (enginend::nodes::node* n: players->children){delete n;}
	for (enginend::nodes::node* n: entities->children){delete n;}
	for (enginend::nodes::node* n: buildings->children){delete n;}
}
